Subject: Re: [PATCH v2] contrib: update thunderbird-patch-inline

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Jun 2025 15:12:38 -0700

Phillip Wood <[email-masked]> writes:

> Hi Patrick
>
> On 19/05/2025 06:38, Patrick Steinhardt wrote:
>> On Fri, May 16, 2025 at 02:53:55PM +0100, Phillip Wood wrote:
>>> Changes since V1:
>>>
>>>    - removed the original definition of SEP (thanks to Junio for
>>>      pointing that out)
>> What I still don't quite understand: who is this update for? The
>> existing script is broken for years and nobody showed interest so far to
>> fix it. So I don't think it makes sense to fix the script just to keep
>> on dragging it with us.
>> If the answer is "you" then I'd be fine with it. But if the answer
>> is
>> a hypothetical "someone" then I'd honestly prefer to just remove dead
>> weight and not bother with this update.
>
> Personally I don't mind that much either way as I think using the
> "toggle line wrap" is more convenient for including patches in a mail
> (though that unfortunately only works with the current esr release and
> earlier). I agree with your previous mail that having this patch on
> the mailing list could be useful for anyone searching for this in the
> future so I re-rolled to fix the issue that Junio pointed out.

As the discussion seems to have died out here, shall I drop this
patch out of my tree?

> Note directly related to this series but looking at the format-patch
> documentation in mentions the "external editor" plugin which has been
> superseded by "external editor revived" and "toggle word wrap" which
> has been superseded by "toggle line wrap" so we should probably update
> that.

Another documentation patch may be in order either way, though.  I
am not a Thunderbird user myself so I'll let others who _do_ care
about it write one.

Thanks.